Skip to content

Campaign

Manage marketing campaigns and sub-campaigns. Supports listing and fetching, creating, updating, patching, and deleting campaigns by ID or external source, and attaching a campaign brief from an HTML file.

List or fetch campaigns

Request

Security
bearerAuth and apiKeyAuth
Query
campaignIdstring

Campaign id

externalSourcestring

External source name

externalSourceIdstring

External source id

pageNumberstring

Page number (0-based); use with pageSize for partner-wide list

pageSizestring

Page size (default 20, max 100)

sinceTimestring

Alternative pagination cursor; see API v3 docs

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/campaign?campaignId=string&externalSource=string&externalSourceId=string&pageNumber=string&pageSize=string&sinceTime=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Id of the campaign

namestring

Name of the campaign

displayIdinteger, (int64)

Display Id in case of sub campaign

parentCampaignIdstring

Parent campaign Id in case of subcampaign

descriptionstring

Description of the campaign

createdTimeinteger, (int64)

Campaign created time in sprinklr

modifiedTimeinteger, (int64)

Last modified time of the campaign in sprinklr

startDateinteger, (int64)

StartDate of the campaign

endDateinteger, (int64)

EndDate of the campaign

tagsArray of strings

Tags on the campaign

ownerinteger, (int64)

Owner of the campaign

partnerCustomPropertiesobject

Partner level customproperties on the campaign

clientCustomPropertiesobject

Client level customproperties on the campaign

statusstringrequired

Status of the campaign. e.g. Draft, Approved

visibilityobject(Visibility)

Visibility of the campaign

archivedboolean

True if campaign is archived

externalSourcestring

External system name

externalSourceIdstring

External system Id

externalCampaignDetailsArray of objects(ExternalCampaignDetails)

External connectors for a campaign

deletedboolean

Is deleted

]
Response
[ { "id": "string", "name": "string", "displayId": 0, "parentCampaignId": "string", "description": "string", "createdTime": 0, "modifiedTime": 0, "startDate": 0, "endDate": 0, "tags": [ … ], "owner": 0, "partnerCustomProperties": { … }, "clientCustomProperties": { … }, "status": "string", "visibility": { … }, "archived": true, "externalSource": "string", "externalSourceId": "string", "externalCampaignDetails": [ … ], "deleted": true } ]